import { Component } from '@angular/core';
import {ActivatedRoute} from '@angular/router';
import {AuthorService} from '../services/author.service';
import {CookieService} from 'ngx-cookie-service';
import {Subscription} from 'rxjs';
import {Post} from '../models/post';
import {PostService} from '../services/post.service';
import {HeaderComponent} from '../header/header.component';
import {DatePipe, JsonPipe} from '@angular/common';

@Component({
  selector: 'app-post',
  standalone: true,
  imports: [
    HeaderComponent,
    JsonPipe,
    DatePipe
  ],
  templateUrl: './post.component.html',
  styleUrl: './post.component.css'
})
export class PostComponent {
  subs: Subscription[] = [];
  concernedPost: Post | undefined;

  constructor(private route: ActivatedRoute,
              private postService: PostService) {
    this.route.paramMap.subscribe(params => {
      const postId = params.get('postId');
      if (postId) {
        this.subs.push(
          this.postService.getPost(BigInt(postId)).subscribe(post => {
            this.concernedPost = post;
          })
        );
      }
    });

  }

}
